Package org.apache.torque.om.mapper

# Class ObjectListMapperTest

java.lang.Object
org.apache.torque.BaseTestCase
org.apache.torque.MockBaseTestCase
org.apache.torque.om.mapper.ObjectListMapperTest

public class ObjectListMapperTest extends MockBaseTestCase

- ## Field Summary

  ### Fields inherited from class org.apache.torque.MockBaseTestCase

  `closeable`

  ### Fields inherited from class org.apache.torque.BaseTestCase

  `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectListMapperTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setUp()`
  Re-Initialize Torque and fill supplied data.
  `void`
  `testByteNull()`
  Tests the byte null for empty result
  `void`
  `testDoubleNull()`
  Tests the double null for empty result
  `void`
  `testFloatNull()`
  Tests the float null for empty result
  `void`
  `testIntegerNull()`
  Tests the integer null for empty result
  `void`
  `testLongNull()`
  Tests the long null for empty result
  `void`
  `testProcessRowClassListAsArgument()`
  Tests the processRow method for a mapper with a fixed column count.
  `void`
  `testProcessRowLenghtAsArgument()`
  Tests the processRow method for a mapper with a fixed column count.
  `void`
  `testProcessRowLengthDeterminedFromMetadata()`
  Tests the processRow method for a mapper where the length is determined from the Metadata.
  `void`
  `testProcessRowLengthDeterminedFromMetadataWithOffset()`
  Tests the processRow method for a mapper with offset where the length is determined from the Metadata.
  `void`
  `testProcessRowSqlException()`
  Tests the processRow method if the resultSet throws a SqlException.
  `void`
  `testShortNull()`
  Tests the short null for empty result
  `void`
  `testUnknownClass()`
  Tests the processRow method if the resultSet throws a SqlException.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectListMapperTest

    public ObjectListMapperTest()

- ## Method Details

  - ### setUp

    @BeforeEach public void setUp() throws Exception
    Description copied from class: `MockBaseTestCase`
    Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.
    Overrides:
      `setUp` in class `MockBaseTestCase`
    Throws:
      `Exception` - if initialization fails.

  - ### testProcessRowLengthDeterminedFromMetadata

    @Test public void testProcessRowLengthDeterminedFromMetadata() throws Exception
    Tests the processRow method for a mapper where the length is determined from the Metadata.
    Throws:
      `Exception` - if the test fails

  - ### testProcessRowLengthDeterminedFromMetadataWithOffset

    @Test public void testProcessRowLengthDeterminedFromMetadataWithOffset() throws Exception
    Tests the processRow method for a mapper with offset where the length is determined from the Metadata.
    Throws:
      `Exception` - if the test fails

  - ### testProcessRowLenghtAsArgument

    @Test public void testProcessRowLenghtAsArgument() throws Exception
    Tests the processRow method for a mapper with a fixed column count.
    Throws:
      `Exception` - if the test fails

  - ### testProcessRowClassListAsArgument

    @Test public void testProcessRowClassListAsArgument() throws Exception
    Tests the processRow method for a mapper with a fixed column count.
    Throws:
      `Exception` - if the test fails

  - ### testProcessRowSqlException

    @Test public void testProcessRowSqlException() throws Exception
    Tests the processRow method if the resultSet throws a SqlException.
    Throws:
      `Exception` - if the test fails

  - ### testUnknownClass

    @Test public void testUnknownClass() throws Exception
    Tests the processRow method if the resultSet throws a SqlException.
    Throws:
      `Exception` - if the test fails

  - ### testByteNull

    @Test public void testByteNull() throws Exception
    Tests the byte null for empty result
    Throws:
      `Exception` - if the test fails

  - ### testShortNull

    @Test public void testShortNull() throws Exception
    Tests the short null for empty result
    Throws:
      `Exception` - if the test fails

  - ### testIntegerNull

    @Test public void testIntegerNull() throws Exception
    Tests the integer null for empty result
    Throws:
      `Exception` - if the test fails

  - ### testLongNull

    @Test public void testLongNull() throws Exception
    Tests the long null for empty result
    Throws:
      `Exception` - if the test fails

  - ### testDoubleNull

    @Test public void testDoubleNull() throws Exception
    Tests the double null for empty result
    Throws:
      `Exception` - if the test fails

  - ### testFloatNull

    @Test public void testFloatNull() throws Exception
    Tests the float null for empty result
    Throws:
      `Exception` - if the test fails